Subject: [mpls] questions on RFC6445

From: [email-masked]
Date: Fri, 2 Mar 2012 09:22:51 +0800

Hi authors & others,

I have some questions on RFC6445, see below,

1,In section 4.2.3:
      " mplsFrrOne2OnePlrTunnelDetourInstance  = 6553601,
       --
       -- (100 << 16 | 1) == 6553601

       -- 1 is mplsTunnelInstance for the detour LSP
       -- from mplsTunnelTable.  Marked by AAA below.
       -- Shift 16 to put this into the high-order bits 
 
       -- 100 is mplsTunnelInstance for the protected tunnel
       -- from the mplsTunnelTable.  Marked by BBB below.
       -- Need to OR the index value into low-order bits)"
 
[Wenjuan]This description is confusing, which is not consistent with 
definition of the mplsFrrOne2OnePlrTunnelDetourInstance((100 << 16 | 1) == 
6553601).
In the section below, the mplsTunnelInstance (100) for the protected 
tunnel is marked by AAA in mplsTunnelTable(protected tunnel entry), which 
should be in 
the high-order bits. 

2,In mplsTunnelTable (detour LSP entry):

     " mplsTunnelIndex              = 1,
      mplsTunnelInstance           = 1,
                             -- Indicating detour LSP (higher 16 bits)
                             -- BBB "

[Wenjuan]The detour lsp and the protected lsp have the same 
IngressLSRId,EgressLSRId,TunnelIndex and the mplsTunnelInstance, see the 
path-specific method in the RFC4090.
In this document, the mplsTunnelInstance for the detour lsp is different 
with protected tunnel instance.I did not find any other description about 
this instance in the draft.
Could you make some clarifications about this mplsTunnelInstance for the 
detour lsp?

3, 
      "mplsTunnelIngressLSRId       = 192.0.2.1,
       mplsTunnelEgressLSRId        = 192.0.2.3, "

[Wenjuan]:in this document,the detour lsp's EgressLSRId is the address of 
the merged point(R3). This description is not consistent with the section 
6.3 of the RFC4090.
The EgressLSRId of the detour lsp is same with the protected tunnel in the 
RFC4090.

Thanks 
Wenjuan